package de.ivu.elect.presentation.security;

import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.hilfe.KeineOnlineHilfe;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;

@Specializes
@OnlineHilfeId(KeineOnlineHilfe.KEINE_ONLINE_HILFE)
@View(viewId = ChangePasswordView.VIEW_ID, useCase = UseCasePermission.OHNE)
@RequestScoped
public class NlChangePasswordView extends ChangePasswordView {

  private static final long serialVersionUID = 1L;

  @Override
  protected void addPasswortHinweis() {
    messages.addInfoMessage("change.password.hinweis.1");
    messages.addInfoMessage("change.password.hinweis.2");
  }

  @Override
  protected boolean isLogOutAfterPasswordChange() {
    return true; // ELECTVAPP-1804
  }
}
